Bug 1001396 - Review Request: golang-github-kr-pty - PTY interface for Go
Review Request: golang-github-kr-pty - PTY interface for Go
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1000662
  Show dependency treegraph
 
Reported: 2013-08-26 20:47 EDT by Lokesh Mandvekar
Modified: 2016-01-26 14:47 EST (History)
4 users (show)

See Also:
Fixed In Version: golang-github-kr-pty-0-0.22.git05017fc.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 14:47:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-08-26 20:47:30 EDT
Similar format as bug 1001300, so comments on that one would probably apply to this package too.

Also, I had 1 query regarding the version. Upstream mentions a prior release as r56. I'm not quite sure what release to put here, I just added 0.0.1 (this also goes for bug 1001300 and bug 1001317)

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-pty.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-pty-0.0.1-1.fc21.src.rpm

Description: 
Pty is a Go package for using unix pseudo-terminals.

Fedora Account System Username: lsm5

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5857862

 $ rpmlint SPECS/golang-pty.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/golang-pty-0.0.1-1.fc21.src.rpm 
golang-pty.src: W: spelling-error %description -l en_US unix -> UNIX, Unix, uni
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint RPMS/x86_64/golang-pty-0.0.1-1.fc21.x86_64.rpm
golang-pty.x86_64: W: spelling-error %description -l en_US unix -> UNIX, Unix, uni
golang-pty.x86_64: E: no-binary
golang-pty.x86_64: W: only-non-binary-in-usr-lib
golang-pty.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/pty/run.go
golang-pty.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/pty/util.go
golang-pty.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/pty/doc.go
golang-pty.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/pty/pty_darwin.go
golang-pty.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/pty/pty_linux.go
1 packages and 0 specfiles checked; 6 errors, 2 warnings.
Comment 2 Matthew Miller 2013-08-28 18:13:04 EDT
I'm looking at the Haskell guidelines (as we don't yet have any for go) and thinking that each of these packages should provide a '-devel' package, like:

Provides: golang-%{pkg_name}-devel = %{version}-%{release}

(See https://fedoraproject.org/wiki/Packaging:Haskell#Packaging_libraries)


I'm also not sure if /usr/lib64/golang/src/cmd/pty is the right place. Shouldn't it be /usr/lib64/golang/src/pkg/pty? Or /usr/lib64/golang/src/github.com/kr/pty?

And shouldn't we get a ".a" library too, under /usr/lib64/golang/pkg/linux_amd64 somewhere?
Comment 3 Lokesh Mandvekar 2013-09-10 01:52:53 EDT
Modifications as per https://bugzilla.redhat.com/show_bug.cgi?id=1001300#c16

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-kr-pty.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-kr-pty-git27435c6-4.fc21.src.rpm

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5916551

$ rpmlint RPMS/x86_64/golang-github-kr-pty-git27435c6-4.fc21.x86_64.rpm
golang-github-kr-pty.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint RPMS/x86_64/golang-github-kr-pty-devel-git27435c6-4.fc21.x86_64.rpm
golang-github-kr-pty-devel.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/github.com/kr/pty.a readelf: Error: Not an ELF file - it has the wrong magic bytes at the start
golang-github-kr-pty-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 5 Lokesh Mandvekar 2013-09-16 14:05:52 EDT
similar to Bug 1001300, only devel package generated, Provides moved to devel:

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-kr-pty.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-kr-pty-git27435c6-7.fc21.src.rpm
Comment 7 Matthew Miller 2013-09-18 17:16:16 EDT

Review passed with the following caveat.

- This package matches in-development ideas for a Go Language packaging
  standard and may need to be revised as those are finalized.
  Of particular note:
  - this library is packaged as static, and therefore just produces a
    -devel package (and as with Haskell packages, does not have a
    virtual provides for a -static package).
  - no debuginfo package is generated (because of the above)
  - we don't have standard compile flags for Go
Comment 8 Lokesh Mandvekar 2013-09-18 17:37:36 EDT
New Package SCM Request
=======================
Package Name: golang-github-kr-pty
Short Description: PTY interface for Go
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-09-19 09:05:28 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-09-19 10:58:16 EDT
golang-github-kr-pty-0-0.9.git27435c6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.9.git27435c6.fc19
Comment 11 Fedora Update System 2013-09-19 10:59:05 EDT
golang-github-kr-pty-0-0.9.git27435c6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.9.git27435c6.fc20
Comment 12 Fedora Update System 2013-09-19 14:34:21 EDT
golang-github-kr-pty-0-0.9.git27435c6.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2013-09-22 03:07:40 EDT
golang-github-kr-pty-0-0.10.git27435c6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.10.git27435c6.fc20
Comment 14 Fedora Update System 2013-09-22 03:22:04 EDT
golang-github-kr-pty-0-0.10.git27435c6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.10.git27435c6.el6
Comment 15 Fedora Update System 2013-10-03 11:40:10 EDT
golang-github-kr-pty-0-0.11.git3b1f648.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.11.git3b1f648.fc20
Comment 16 Fedora Update System 2013-10-03 11:53:28 EDT
golang-github-kr-pty-0-0.11.git3b1f648.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.11.git3b1f648.fc19
Comment 17 Fedora Update System 2013-10-03 12:01:59 EDT
golang-github-kr-pty-0-0.11.git3b1f648.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.11.git3b1f648.el6
Comment 18 Fedora Update System 2013-10-07 19:06:41 EDT
golang-github-kr-pty-0-0.13.git3b1f648.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.13.git3b1f648.fc20
Comment 19 Fedora Update System 2013-10-07 19:14:11 EDT
golang-github-kr-pty-0-0.13.git3b1f648.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.13.git3b1f648.fc19
Comment 20 Fedora Update System 2013-10-07 19:19:58 EDT
golang-github-kr-pty-0-0.13.git3b1f648.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.13.git3b1f648.el6
Comment 21 Fedora Update System 2013-10-08 23:10:29 EDT
golang-github-kr-pty-0-0.14.git3b1f648.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.14.git3b1f648.fc20
Comment 22 Fedora Update System 2013-10-08 23:16:11 EDT
golang-github-kr-pty-0-0.14.git3b1f648.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.14.git3b1f648.fc19
Comment 23 Fedora Update System 2013-10-08 23:28:47 EDT
golang-github-kr-pty-0-0.14.git3b1f648.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.14.git3b1f648.el6
Comment 24 Fedora Update System 2013-10-17 00:41:01 EDT
golang-github-kr-pty-0-0.15.git3b1f648.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.15.git3b1f648.fc20
Comment 25 Fedora Update System 2013-10-17 00:53:00 EDT
golang-github-kr-pty-0-0.15.git3b1f648.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.15.git3b1f648.fc19
Comment 26 Fedora Update System 2013-10-17 00:59:54 EDT
golang-github-kr-pty-0-0.15.git3b1f648.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.15.git3b1f648.el6
Comment 27 Fedora Update System 2013-10-17 14:04:44 EDT
Package golang-github-kr-pty-0-0.15.git3b1f648.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing golang-github-kr-pty-0-0.15.git3b1f648.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11860/golang-github-kr-pty-0-0.15.git3b1f648.el6
then log in and leave karma (feedback).
Comment 28 Peter Lemenkov 2013-10-23 07:09:22 EDT
Package Change Request
======================
Package Name: golang-github-kr-pty
InitialCC: golang-sig
Comment 29 Gwyn Ciesla 2013-10-23 10:02:03 EDT
Done.
Comment 30 Fedora Update System 2013-10-28 23:32:27 EDT
golang-github-kr-pty-0-0.15.git3b1f648.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2013-11-01 17:10:11 EDT
golang-github-kr-pty-0-0.15.git3b1f648.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2013-11-10 01:34:25 EST
golang-github-kr-pty-0-0.15.git3b1f648.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2015-02-25 16:20:40 EST
golang-github-kr-pty-0-0.22.git05017fc.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.22.git05017fc.fc20
Comment 34 Fedora Update System 2015-02-25 16:20:59 EST
golang-github-kr-pty-0-0.22.git05017fc.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.22.git05017fc.fc21
Comment 35 Fedora Update System 2015-02-25 16:21:26 EST
golang-github-kr-pty-0-0.22.git05017fc.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-kr-pty-0-0.22.git05017fc.el6
Comment 36 Fedora Update System 2015-03-14 20:58:29 EDT
golang-github-kr-pty-0-0.22.git05017fc.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2015-08-24 18:22:30 EDT
golang-github-kr-pty-0-0.24.git05017fc.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang-github-kr-pty'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14044
Comment 38 Upstream Release Monitoring 2015-09-24 11:05:10 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117

Note You need to log in before you can comment on or make changes to this bug.